Deel: Retrieve an agreement — 200 response body — data assigned hris profile emails, first name, hris profile id, last name
Retrieve an agreement: 200 response body, field data / assigned_hris_profile / emails, first_name, hris_profile_id, last_name. Complete fields and constraints for contract 2026-10-27.
API reference · Contract 2026-10-27
SDK schema: Retrieve an agreement — 200 response body — data assigned hris profile emails, first name, hris profile id, last name
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Current holder of the agreement, if any. `null` while the agreement is between users (e.g. after POST /assets/{id}/store). |
emails | array | Required within parent | Array of user email addresses |
emails[] | string | Each item | Format: email |
first_name | string | Required within parent | First name of the user |
hris_profile_id | string | Required within parent | The unique identifier of the HRIS profile of the assigned user Format: uuid |
last_name | string | Required within parent | Last name of the user |